#include "mk20dx128.h"

#include "usbtsy/usb_dev.h"
#include "usbtsy/usb_debug_hid.h"
#include "usbtsy/usb_rawhid.h"

#define _BV(n) (1<<(n))

int main(void) {
	PORTC_PCR5  |= _BV(8); // Digital IO
	GPIOC_PDDR |= _BV(5);
	GPIOC_PDOR |= _BV(5);
	uint32_t n;
	uint8_t hidBuff[64];

	usb_init();
	while(!usb_configuration);
	#ifdef USB_DEBUG
		while(n++<0xFFFFFF);
		usb_debug_putchar('-');
	#endif
	while (1) {
		n=0;

		GPIOC_PTOR = _BV(5);
		if(usb_rawhid_recv(hidBuff,10) > 0) {
			usb_rawhid_send(hidBuff,100);
		}
		#ifdef USB_DEBUG
			usb_debug_putchar(0x42);
			usb_debug_flush_output();
		#endif
		while(n++<0xFFFFF);
	}
}
